#loading-screen {
  position: fixed;
  inset: 0;
  background: #172647;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

/* animação de saída */
#loading-screen.fade-out {
  opacity: 0;
  transition: opacity .6s ease;
}

#loading-screen.is-hidden {
  pointer-events: none;
}

.loader {
  width: 48px;
  height: 48px;
  position: relative;
  animation: rotation 1s linear infinite;
}

/* BASE dos círculos */
.loader::before,
.loader::after {
  content: '';
  position: absolute;
  width: 30px;
  height: 30px;
  top: 50%;
  left: 50%;
  border-radius: 50%;
  transform-origin: center;
  animation: animloader 1s infinite ease-in-out;
}

/* círculo branco */
.loader::after {
  background-color: #FFF;
  transform: translate(0, 0) scale(0.2);
}

/* círculo vermelho */
.loader::before {
  background-color: var(--clr-theme-primary);
  transform: translate(-28px, -28px) scale(0.2);
}

@keyframes rotation {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

@keyframes animloader {
  50% {
    transform: translate(-24px, -24px) scale(1);
  }
} 